resources:
    App\Entity\Menu:
        processor: App\State\Processor\MenuProcessor
        input: App\Dto\Input\MenuInput
        output: App\Dto\Output\MenuOutput
        normalizationContext:
            groups: ['default', 'menu:read']
        denormalizationContext:
            groups: ['menu:write']
        operations:
            ApiPlatform\Metadata\GetCollection:
                provider: App\State\Provider\MenuProvider
                filters:
                    - 'api_platform.filter.menu.order'
                    - 'api_platform.filter.menu.search'
            ApiPlatform\Metadata\Get:
                provider: App\State\Provider\MenuProvider
            ApiPlatform\Metadata\Put:
                provider: App\State\Provider\MenuProvider
            ApiPlatform\Metadata\Patch:
                provider: App\State\Provider\MenuProvider
            ApiPlatform\Metadata\Post: ~
            ApiPlatform\Metadata\Delete: ~

properties:
    App\Entity\Menu:
        id:
            identifier: false
        uuid:
            identifier: true